"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_1 = require("../../base");
class List extends base_1.AutocompleteBase {
    async run() {
        this.errorIfWindows();
        this.config.plugins.map(p => {
            p.commands.map(c => {
                try {
                    if (c.hidden) {
                        this.log(`${c.id} (hidden)`);
                    }
                    else {
                        let results = Object.keys(c.flags).map((f) => {
                            let flag = c.flags[f];
                            if (flag.hidden)
                                return `--${f} (hidden)`;
                            else if (flag.completion) {
                                return `--${f} (completion)`;
                            }
                            else
                                return `--${f}`;
                        });
                        if (results.length)
                            this.log(`${c.id} -> ${results}`);
                    }
                }
                catch (_a) {
                    this.log(`Error creating autocomplete for command ${c.id}`);
                }
            });
        });
    }
}
List.hidden = true;
List.description = 'debugging list for autocomplete commands';
exports.default = List;
